# $Revision: 1.55 $, $Date: 2007-11-28 08:16:14 $
#
# Conditional build:
%bcond_without	gtk		# don't build GTK+-based contribs
%bcond_without	motif		# don't build Motif-based contribs
%bcond_without	sdl		# don't build SDL-based contribs
%bcond_without	static_libs	# don't build static libraries
#
Summary:	A library of functions for manipulating MNG format files
Summary(pl.UTF-8):	Biblioteka do obróbki plików w formacie MNG
Summary(uk.UTF-8):	Бібліотека функцій для роботи з файлами у форматі MNG
Summary(ru.UTF-8):	Библиотека функций для работы с файлами в формате MNG
Name:		libmng
Version:	1.0.10
Release:	2
License:	BSD-like
Group:		Libraries
Source0:	http://dl.sourceforge.net/libmng/%{name}-%{version}.tar.gz
# Source0-md5:	a464ae7d679781beebdf7440d144b7bd
Patch0:		%{name}-automake.patch
Patch1:		%{name}-gcc4.patch
URL:		http://www.libmng.com/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1.3
BuildRequires:	lcms-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libtool
BuildRequires:	zlib-devel
# for contribs
%{?with_sdl:BuildRequires:	SDL-devel}
%{?with_gtk:BuildRequires:	gtk+2-devel >= 1:2.0.0}
%{?with_motif:BuildRequires:	motif-devel >= 2.0}
%{?with_motif:BuildRequires:	xorg-lib-libXt-devel}
BuildRequires:	pkgconfig
Obsoletes:	libmng1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libmng - library for reading, writing, displaying and examing
Multiple-Image Network Graphics. MNG is the animation extension to the
popular PNG image-format.

%description -l pl.UTF-8
libmng - biblioteka do czytania, zapisywania, wyświetlania i
pobierania informacji z plików MNG (Multiple-Image Network Graphics).
MNG to rozszerzenie o animacje popularnego formatu obrazków PNG.

%description -l ru.UTF-8
libmng - библиотека для чтения, записи, отображения и изучения
Multiple-Image Network Graphics. MNG - это анимационное расширение для
популярного формата изображений PNG.

%description -l uk.UTF-8
libmng - бібліотека для читання, запису, відображення та вивчення
Multiple-Image Network Graphics. MNG - це анімаційне розширення для
популярного формату зображень PNG.

%package devel
Summary:	Development tools for programs to manipulate MNG format files
Summary(pl.UTF-8):	Pakiet do tworzenia programów obrabiających pliki MNG
Summary(ru.UTF-8):	Средства разработки для программ, работающих с файлами в формате MNG
Summary(uk.UTF-8):	Засоби розробки для роботи з програмами, що працюють з файлами у форматі MNG
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	lcms-devel
Requires:	libjpeg-devel
Requires:	zlib-devel
Obsoletes:	libmng1-devel

%description devel
The libmng-devel package contains the header files necessary for
developing programs using the MNG (Multiple-Image Network Graphics)
library.

If you want to develop programs which will manipulate MNG image format
files, you should install libmng-devel. You'll also need to install
the libmng package.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe potrzebne do tworzenia programów
używających biblioteki libmng do obróbki plików MNG.

%description devel -l ru.UTF-8
Пакет libmng-devel содержит хедеры и библиотеки разработчика,
необходимые для разработки программ, использующих библиотеку MNG
(Multiple-Image Network Graphics).

%description devel -l uk.UTF-8
Пакет libmng-devel містить хедери та бібліотеки програміста, необхідні
для розробки програм, що використовують бібліотеку MNG (Multiple-Image
Network Graphics).

%package static
Summary:	Static MNG libraries
Summary(pl.UTF-8):	Biblioteki statyczne MNG
Summary(ru.UTF-8):	Статическая библиотека для работы с файлами в формате MNG
Summary(uk.UTF-8):	Статична бібліотека для роботи з файлами у форматі MNG
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static MNG libraries.

%description static -l pl.UTF-8
Biblioteki statyczne MNG.

%description static -l ru.UTF-8
Статическая библиотека для работы с файлами в формате MNG.

%description static -l uk.UTF-8
Статична бібліотека для роботи з файлами у форматі MNG.

%package progs
Summary:	libmng utilities (fbmngplay, mngtree)
Summary(pl.UTF-8):	Narzędzia do libmng (fbmngplay, mngtree)
Group:		Applications/Graphics
Requires:	%{name} = %{version}-%{release}

%description progs
libmng utilities that don't depend on additional libraries (fbmngplay,
mngtree).

%description progs -l pl.UTF-8
Narzędzia do libmng nie wymagające dodatkowych bibliotek (fbmngplay,
mngtree).

%package progs-gtk
Summary:	gmngview - GTK+-based MNG viewer
Summary(pl.UTF-8):	gmngview - przeglądarka plików MNG oparta na GTK+
Group:		X11/Applications/Graphics
Requires:	%{name} = %{version}-%{release}

%description progs-gtk
gmngview - GTK+-based MNG viewer.

%description progs-gtk -l pl.UTF-8
gmngview - przeglądarka plików MNG oparta na GTK+.

%package progs-motif
Summary:	xmngplay - X11/Motif-based MNG viewer
Summary(pl.UTF-8):	xmngplay - przeglądarka plików MNG oparta na bibliotekach X11/Motif
Group:		X11/Applications/Graphics
Requires:	%{name} = %{version}-%{release}

%description progs-motif
xmngplay - X11/Motif-based MNG viewer.

%description progs-motif -l pl.UTF-8
xmngplay - przeglądarka plików MNG oparta na bibliotekach X11/Motif.

%package progs-sdl
Summary:	mngplay - SDL-based MNG viewer
Summary(pl.UTF-8):	mngplay - przeglądarka plików MNG oparta na SDL
Group:		Applications/Graphics
Requires:	%{name} = %{version}-%{release}

%description progs-sdl
mngplay - SDL-based MNG viewer.

%description progs-sdl -l pl.UTF-8
mngplay - przeglądarka plików MNG oparta na SDL.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
cp makefiles/{Makefile.am,configure.in} .
cp doc/makefiles/Makefile.am doc
cp doc/man/makefiles/Makefile.am doc/man
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-zlib \
	--with-jpeg \
	%{!?with_static_libs:--disable-static}
%{__make}

%{__make} -C contrib/gcc/fbmngplay fbmngplay \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall -D_REENTRANT -I../../.." \
	LDFLAGS="%{rpmldflags} -L../../../.libs"

%if %{with gtk}
%{__make} -C contrib/gcc/gtk-mng-view gmngview \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall -I../../.. `pkg-config --cflags gdk-pixbuf-2.0 gtk+-2.0`" \
	LIBS="%{rpmldflags} -L../../../.libs -lmng `pkg-config --libs gdk-pixbuf-2.0 gtk+-2.0`"
%endif

%{__make} -C contrib/gcc/mngtree -f makefile.linux \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall -DMNG_USE_SO -I../../.." \
	LDFLAGS="%{rpmldflags} -L../../../.libs -lmng"

%if %{with sdl}
%{__cc} -o contrib/gcc/sdl-mngplay/mngplay contrib/gcc/sdl-mngplay/mngplay.c \
	%{rpmldflags} %{rpmcflags} -I. \
	 -L.libs -lmng `sdl-config --libs`
%endif

%if %{with motif}
%{__make} -C contrib/gcc/xmngview compile \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall -I../../.." \
	LIBS="-L../../../.libs -lmng -lXm -lXt -lX11"
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install contrib/gcc/*/{fbmngplay%{?with_gtk:,gmngview},mngtree%{?with_sdl:,mngplay}%{?with_motif:,xmngview}} \
	$RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES LICENSE README 
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_mandir}/man5/*

%files devel
%defattr(644,root,root,755)
%doc doc/{doc.readme,libmng.txt,Plan*.png}
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*
%{_mandir}/man3/*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libmng.a
%endif

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/fbmngplay
%attr(755,root,root) %{_bindir}/mngtree

%if %{with gtk}
%files progs-gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gmngview
%endif

%if %{with motif}
%files progs-motif
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xmngview
%endif

%if %{with sdl}
%files progs-sdl
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mngplay
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libmng.spec,v $
Revision 1.55  2007-11-28 08:16:14  arekm
- rel 2

Revision 1.54  2007-09-02 10:54:41  qboosh
- don't pass two contradictory options to configure, default is shared+static

Revision 1.53  2007/08/31 16:08:24  witekfl
- added bcond_without static_libs

Revision 1.52  2007/07/16 18:12:56  qboosh
- updated to 1.0.10
- updated patches

Revision 1.51  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.50  2007/02/12 00:49:03  baggins
- converted to UTF-8

Revision 1.49  2006/07/11 10:01:06  qboosh
- use modular xorg

Revision 1.48  2006/07/11 09:53:37  qboosh
- added gtk and motif bconds

Revision 1.47  2005/05/05 21:29:22  mmazur
- rel 4 (sdl was broken)

Revision 1.46  2005/05/05 17:53:39  mmazur
- rel 3 for th

Revision 1.45  2005/04/29 12:25:40  pluto
- release 2 for Th.

Revision 1.44  2005/02/05 21:48:11  pluto
- gcc4 fixes.

Revision 1.43  2005/02/05 20:17:43  qboosh
- am version

Revision 1.42  2005/02/05 19:58:21  qboosh
- updated to 1.0.9, updated automake patch

Revision 1.41  2004/12/20 12:46:01  zbyniu
- BR: pkgconfig

Revision 1.40  2004/11/27 18:52:08  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.39  2004/08/07 14:10:24  qboosh
- updated to 1.0.8, removed obsolete gtk2 patch

Revision 1.38  2004/07/31 00:08:13  qboosh
- added bcond_without sdl (for bootstrap)

Revision 1.37  2004/07/07 12:59:26  ankry
- rel. 2 to rebuild with openmotif-libs-2.2.3-2

Revision 1.36  2004/03/27 20:38:25  qboosh
- updated to 1.0.7
- added gtk2 patch, package contribs (various MNG viewers)

Revision 1.35  2003/11/11 16:18:56  wrobell
- rel. 2

Revision 1.34  2003/10/22 18:25:32  qboosh
- docs cleanup; found something more to package...

Revision 1.33  2003/10/21 12:59:29  wrobell
- ver. 1.0.6

Revision 1.32  2003/05/25 11:00:53  malekith
- massive attack, adding Source-md5

Revision 1.31  2003/05/25 05:49:56  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.30  2003/04/08 12:54:44  qboosh
- use http for sources from sourceforge

Revision 1.29  2003/03/04 08:34:37  trojan
- updated to 1.0.5

Revision 1.28  2002/11/25 14:16:56  ankry
- massive attack: no need for 755 for *.la

Revision 1.27  2002/10/06 09:25:28  kloczek
- more macros.

Revision 1.26  2002/06/25 21:34:14  kloczek
- use new %doc.

Revision 1.25  2002/06/25 20:34:08  qboosh
- -devel Requires: lcms-devel

Revision 1.24  2002/06/25 17:52:43  qboosh
- updated to 1.0.4 - it can be used by mozilla 1.0 now
- BR: lcms-devel

Revision 1.23  2002/06/23 20:32:31  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.22  2002/05/21 23:13:49  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.21  2002/05/01 08:14:07  kloczek
- release 4: merge translations from KSI.

Revision 1.20  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.19  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/01/18 02:13:41  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2002/01/06 04:04:34  kloczek
- release 3: libmng0{,-devel} added to Obsoletes for allow upgrade from MDK.

Revision 1.16  2001/12/04 15:05:11  qboosh
- adapterized, pl translations, cosmetics; release 2

Revision 1.15  2001/09/19 19:52:56  kloczek
- updated to 1.0.3.

Revision 1.14  2001/07/10 16:05:31  qboosh
- BuildRequires autoconf >= 2.50

Revision 1.13  2001/07/09 10:17:51  kloczek
- updated to 1.0.2,
- regenerate ac/am/lt files.

Revision 1.12  2001/05/03 07:47:46  kloczek
- make libtool hapy.

Revision 1.11  2001/05/03 07:26:02  kloczek
- updated to 1.0.1.

Revision 1.10  2001/03/18 23:38:42  kloczek
- release 2.

Revision 1.9  2001/03/18 18:45:29  qboosh
- libmng-devel Requires: {libjpeg,zlib}-devel

Revision 1.8  2001/02/09 21:31:44  kloczek
- updated to 1.0.0.

Revision 1.7  2001/01/19 21:17:24  kloczek
- s/CHANGES/Changes/ in %doc.

Revision 1.6  2001/01/19 21:00:22  kloczek
- updated to 0.9.4,
- s/automake/automake -a -c/ in %build for allow use also automake 1.4b on
  build libmng.

Revision 1.5  2000/12/16 02:16:13  kloczek
- release 3 (for allow upgrade from rawhide),
- changed License to BSD-like.

Revision 1.4  2000/11/03 00:55:05  kloczek
- updated to 0.9.3.

Revision 1.3  2000/10/19 03:48:14  kloczek
- release 2: use new rpm automation.

Revision 1.2  2000/08/08 08:52:57  kloczek
- completly rewrited.

* Sat Aug  5 2000 Gerard Juyn <gerard@libmng.com>
- updated to 0.9.2

* Wed Jul 26 2000 Gerard Juyn <gerard@libmng.com>
- updated to 0.9.1

* Sat Jul  1 2000 MATSUURA Takanori <t-matsuu@protein.osaka-u.ac.jp>
- updated to 0.9.0

* Sat Jun 24 2000 MATSUURA Takanori <t-matsuu@protein.osaka-u.ac.jp>
- 1st release for RPM
